<?php
/**
 *
 * @package luzuk Premium
 */
if(get_theme_mod('blog_section_disable') != 'on' ){ ?>
	<?php 
 	if( get_theme_mod('blog_areaTpadding',true) ) {
 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
 	}
 	if( get_theme_mod('blog_areaBpadding',true) ) {
 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
 	}
 	
 	?>
<div  class="blog-area" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>" "<?php echo esc_attr($blog_areaBpadding); ?>" >	
	<?php			
		$blog_title = get_theme_mod('blog_title', 'Latest Blog');
	?>
		
		<div class="row justify-content-center">
			<?php if($blog_title){ ?>	
				<div class="section-title">
						<div class="heading-brd1"></div>
						<h2><?php echo ($blog_title);  ?></h2>
				</div>
			<?php }?>
		</div>
		<div class="container">
			<div class="blog-area-wrap">
				<div class="blog-posts">
					<div class="row">
						<?php 
							$blog_post_count = get_theme_mod('blog_post_count', 3 );
							$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
							$blog_cat_exclude = explode(',', $blog_cat_exclude);
							$args = array(
								'posts_per_page' => absint($blog_post_count),
								'category__not_in' => $blog_cat_exclude
							);
							$query = new WP_Query($args);
							if($query -> have_posts()):
								while($query -> have_posts()) : $query -> the_post();
								$luzuk_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
								?>
								<?php 
								if(has_post_thumbnail()){
									$img = esc_url($luzuk_blog_image[0]);
								}
								if(empty($luzuk_blog_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
						?>
						<div class="blog-post col-lg-4 col-md-6 col-sm-6">
							<div class="box-area-S wow zoomIn">
								<div class="blog-thumbnail">
									<div class="blog-imgarea">
										<a href="<?php the_permalink(); ?>">
											<img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
											<div class="steam">
												<span style="--1:1;"></span>
												<span style="--1:3;"></span>
												<span style="--1:16;"></span>
												<span style="--1:5;"></span>
												<span style="--1:18;"></span>
												<span style="--1:13;"></span>
												<span style="--1:20;"></span>
												<span style="--1:6;"></span>
												<span style="--1:7;"></span>
												<span style="--1:10;"></span>
												<span style="--1:8;"></span>
												<span style="--1:17;"></span>
												<span style="--1:11;"></span>
												<span style="--1:12;"></span>
												<span style="--1:14;"></span>
												<span style="--1:2;"></span>
												<span style="--1:9;"></span>
												<span style="--1:15;"></span>
												<span style="--1:4;"></span>
												<span style="--1:19;"></span>
												<span style="--1:1;"></span>
												<span style="--1:3;"></span>
												<span style="--1:16;"></span>
												<span style="--1:5;"></span>
												<span style="--1:18;"></span>
												<span style="--1:13;"></span>
												<span style="--1:20;"></span>
												<span style="--1:6;"></span>
												<span style="--1:7;"></span>
												<span style="--1:10;"></span>
												<span style="--1:8;"></span>
												<span style="--1:17;"></span>
												<span style="--1:11;"></span>
											</div>
										</a>
									</div>
									<div class="blog-date">
										<li ><?php echo get_the_date( 'j' ); ?></li>
										<li class="month"><?php echo get_the_date( 'M' ); ?></li>
									</div>
								</div>		
								<div class="blog-single">
									<div class="blog-admin">
										<div class="row">
											<div class="blog-adminbx col-md-6">
												<i class="fa fa-user-o" aria-hidden="true"></i>
					                  			<span>By Admin</span>
											</div>
											<div class="blog-comment col-md-6">
												<i class="fa fa-comment-o"></i><?php echo $my_var = get_comments_number(); ?> 
											</div>
										</div>
									</div>
									<a href="<?php the_permalink(); ?>">
										<h4 class="inner-area-title"><?php the_title(); ?></h4>
									</a>
									<p>
										<?php 
												if(has_excerpt()){
													echo get_the_excerpt();
												}else{
													echo luzuk_excerpt( get_the_content() , 115 );
												}
										?>
									</p>
									<?php
						                  $blog_button1 = get_theme_mod('blog_button1', 'View More');
						             ?>
						             <?php if($blog_button1) { ?>
										<div class="blogbtn"> 
					                        <a href="<?php echo esc_url(get_permalink()); ?>">
					                        	<span>  <?php echo $blog_button1 ?></span>
					                         </a>
				                    	</div> 
					                 <?php }?>
									<div class="clearfix"></div>
								</div>
								<div class="clearfix"></div>
							</div>
						</div>
					<?php
						endwhile;
						endif;
						wp_reset_postdata();
					?>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>	
	</div>
	<div class="clearfix"></div>
</div>

<!-- <script>
      jQuery.noConflict();
      $(function(){
        function blogpostHeight(){
          var ht = 0;
          $('.blog-area .blog-post').each(function(i){
            var tHt = $(this).height();
            if(ht<tHt){
              ht=tHt;
            }
          });
          $('.blog-area .blog-post').height(ht+'px');
        }
        blogpostHeight();
      });
      $( window ).resize(function(){
        blogpostHeight();
      });
</script> -->
<script type="text/javascript">
	var title = 0;
jQuery(".blog-area .blog-post").each(function(){
  if ($(this).height() > title) { title = $(this).height(); }
});
jQuery(".blog-area .blog-post").height(title);


// on Resize change height

jQuery(window).resize(function(){
  jQuery(".blog-area .blog-post").height("");
  var title = 0;
  jQuery(".blog-area .blog-post").each(function(){
    if ($(this).height() > title) { title = $(this).height(); }
  });
  jQuery(".blog-area .blog-post").height(title);
});
</script>
	


<?php }